Last Comment Bug 648331 - Remove list item bullet size quirk
: Remove list item bullet size quirk
Status: RESOLVED FIXED
: dev-doc-complete
Product: Core
Classification: Components
Component: Layout (show other bugs)
: Trunk
: All All
: -- normal with 1 vote (vote)
: mozilla50
Assigned To: Xidorn Quan [:xidorn] (UTC-10)
:
: Jet Villegas (:jet)
Mentors:
http://lists.whatwg.org/htdig.cgi/wha...
Depends on:
Blocks: quirks-mode-spec 97351
  Show dependency treegraph
 
Reported: 2011-04-07 12:39 PDT by :Ms2ger (⌚ UTC+1/+2)
Modified: 2016-07-15 10:55 PDT (History)
10 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed

MozReview Requests
Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:
Show discarded requests

Attachments
MozReview Request: Bug 648331 - Remove list item bullet size quirk. r?heycam (58 bytes, text/x-review-board-request)
2016-06-02 02:25 PDT, Xidorn Quan [:xidorn] (UTC-10)
cam: review+
Details | Review

Description :Ms2ger (⌚ UTC+1/+2) 2011-04-07 12:39:38 PDT
As mentioned in $URL, WebKit doesn't have this quirk, which suggests that it isn't necessary. Note that the test case in bug 97351 comment 0 is fixed by the new HTML parser, which produces this DOM tree:

ul
  font color="red" size="30pt"
  li
    font color="red" size="30pt"
      This text should be ...

If nobody objects, I can fix. (<http://mxr.mozilla.org/mozilla-central/source/layout/style/quirk.css#74>)
Comment 1 j.j. 2012-07-02 14:49:54 PDT
> WebKit doesn't have this quirk
Opera removed that quirk (tested with version 12)
Comment 2 David Baron :dbaron: ⌚️UTC-10 2013-08-20 19:02:30 PDT
(In reply to :Ms2ger from comment #0)
> If nobody objects, I can fix.

Sounds good to me.  Still up to fixing?

> (<http://mxr.mozilla.org/mozilla-central/source/layout/style/quirk.css#74>)

A persistent version of that link is:
http://hg.mozilla.org/mozilla-central/file/152fe0de3c82/layout/style/quirk.css#l74
Comment 7 Xidorn Quan [:xidorn] (UTC-10) 2016-06-02 00:24:14 PDT
IE no longer has this quirk either, which makes us the only implementation doing this.
Comment 8 Xidorn Quan [:xidorn] (UTC-10) 2016-06-02 02:25:49 PDT
Created attachment 8759121 [details]
MozReview Request: Bug 648331 - Remove list item bullet size quirk. r?heycam

Review commit: https://reviewboard.mozilla.org/r/57184/diff/#index_header
See other reviews: https://reviewboard.mozilla.org/r/57184/
Comment 9 Xidorn Quan [:xidorn] (UTC-10) 2016-06-02 02:26:13 PDT
https://treeherder.mozilla.org/#/jobs?repo=try&revision=6b40a438dd31
Comment 10 Cameron McCormack (:heycam) 2016-06-17 05:26:29 PDT
Comment on attachment 8759121 [details]
MozReview Request: Bug 648331 - Remove list item bullet size quirk. r?heycam

https://reviewboard.mozilla.org/r/57184/#review56578
Comment 12 Carsten Book [:Tomcat] 2016-06-20 04:57:44 PDT
https://hg.mozilla.org/mozilla-central/rev/948850b9dff5

Note You need to log in before you can comment on or make changes to this bug.